---
title: "Retrieve HR Application History by Code"
slug: "retrieve-hr-application-history-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-hr-application-history-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve HR Application History by Code

Get/hcm-rest-api/rest/1/hrapphistory

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Code
- By UUID

#### Select By Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| AppNo | Application Number | 30354 |
| StatusCode | Status Code | COMPLETED |

#### By UUID

This is an optional finder for querying a specific Application Histor by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/hrapphistory/EC84C63937832A15E05316821FAC5394 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode;AppNo=30354,StatusCode=COMPLETED
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleHrapphistVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='cf325030-cfb9-4e11-ab31-c1d3c0ef86f1'>application/json</option>
</select>

```json
{
  "items": [
    {
      "HrapphistAppNo": "30354",
      "HrapphistDate": "2022-11-02T21:45:16Z",
      "HrapphistUser": "30354",
      "HrapphistActionCode": "APPLIED",
      "HrapphistNotes": "Applied by Gabriel See",
      "HrapphistStatusCode": "COMPLETED",
      "HrapphistDueDate": null,
      "HrapphistAlertDate": null,
      "HrapphistComplDate": "2022-11-02T21:46:34Z",
      "HrapphistComplNotes": null,
      "HrapphistUpdatedBy": "DAR",
      "HrapphistPriority": null,
      "HrapphistVUuid": "EC84C19BA445575FE05316821FAC4B65",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C19BA445575FE05316821FAC4B65",
          "name": "hrapphistory",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C19BA445575FE05316821FAC4B65",
          "name": "hrapphistory",
          "kind": "item"
        }
      ]
    },
    {
      "HrapphistAppNo": "30354",
      "HrapphistDate": "2022-11-02T21:46:34Z",
      "HrapphistUser": "Workato Access",
      "HrapphistActionCode": "HIRED",
      "HrapphistNotes": "Hired by Workato Access",
      "HrapphistStatusCode": "COMPLETED",
      "HrapphistDueDate": null,
      "HrapphistAlertDate": null,
      "HrapphistComplDate": "2022-11-02T21:46:34Z",
      "HrapphistComplNotes": null,
      "HrapphistUpdatedBy": "DAR",
      "HrapphistPriority": null,
      "HrapphistVUuid": "EC84C63937832A15E05316821FAC5394",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C63937832A15E05316821FAC5394",
          "name": "hrapphistory",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory/EC84C63937832A15E05316821FAC5394",
          "name": "hrapphistory",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 2,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapphistory",
      "name": "hrapphistory",
      "kind": "collection"
    }
  ]
}
```

object
